Subject: Re: bug#62790: 29.0.60; WEBP header regexp in image-type-header-regexps fails files containing newlines

From: Visuwesh <[email-masked]>
Date: Wed, 12 Apr 2023 22:22:29 +0530

[புதன் ஏப்ரல் 12, 2023] Eli Zaretskii wrote:

> merge 62790 62789
> thanks
>
>> From: Visuwesh <[email-masked]>
>> Date: Wed, 12 Apr 2023 19:17:23 +0530
>> 
>> Attached image contains a newline in the header after "RIFF" which the
>> regexp in image-type-header-regexps fails to match.  This makes
>> create-image return nil for such an image when FILE-OR-DATA is DATA and
>> DATA-P is non-nil.
>
> Not sure why you filed two identical reports.  Did you send the same
> email twice to the bug tracker?

It was an accident.  I was having power cuts every 15 mins, it got me
and I managed to send the mail twice.

[புதன் ஏப்ரல் 12, 2023] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Date: Wed, 12 Apr 2023 19:17:13 +0530
>> 
>> Attached image contains a newline in the header after "RIFF" which the
>> regexp in image-type-header-regexps fails to match.  This makes
>> create-image return nil for such an image when FILE-OR-DATA is DATA and
>> DATA-P is non-nil.
>
> Thanks, but please show a recipe, starting from "emacs -Q", to
> reproduce the problem with this image.  I just visited it with
> "C-x C-f" and didn't see any problems.

Please evaluate

    (create-image
        (with-temp-buffer
            (insert-file-contents-literally "/path/to/attached/image")
            (buffer-string))
        nil t)

in emacs -Q and observe the return value.  It will return nil even
though it is a valid webp file.  The reason C-x C-f succeeds is because
the file has the "webp" extension and thusly `image-supported-p' call in
`image-type' returns non-nil.